<div class="container pt-5">
    <div class="card">
        <div class="card-body">
            <div class="card-title text-center">
                <h4>Sign in to your dashboard</h4>
            </div>
            <form
                #MyForm="ngForm"
                (submit)="submitForm()"
            >
                <div class="form-group">
                    <label>Username</label>
                    <input
                        type="text"
                        class="form-control"
                        name="username"
                        placeholder="name@example.com"
                        required
                        [(ngModel)]="model.username"
                    >
                </div>
                <div class="form-group">
                    <label>Password</label>
                    <input
                        type="text"
                        class="form-control"
                        name="password"
                        required
                        [(ngModel)]="model.password"
                    >
                </div>
                <button
                    class="btn btn-primary"
                    [disabled]="MyForm.invalid"
                >
                    Submit
                </button>
                <p
                    class="mt-2 mb-0 pb-0"
                    *ngIf="errorMessage"
                >
                    {{errorMessage}}
                </p>
            </form>
        </div>
    </div>
</div>
